List received attachments
curl --request GET \
--url https://api.moonemail.co/emails/receiving/{id}/attachments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/emails/receiving/{id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/emails/receiving/{id}/attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"id": "<string>",
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "attachment",
"size": 123,
"content_id": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Receiving
List received attachments
List received attachment metadata. Files are untrusted.
Required permission: receiving:read.
GET
/
emails
/
receiving
/
{id}
/
attachments
List received attachments
curl --request GET \
--url https://api.moonemail.co/emails/receiving/{id}/attachments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/emails/receiving/{id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/emails/receiving/{id}/attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"id": "<string>",
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "attachment",
"size": 123,
"content_id": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Path Parameters
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$